Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj.coords
Interface GeoCoordTransformation

All Known Implementing Classes:
  AbstractGCT, LatLonGCT, MercatorMeterGCT, UTMGCT

public interface GeoCoordTransformation

A DecimalDegreeTranslator is an object that knows how to translate a set of coordinates from one coordinate system definition to/from a set of decimal degree coordinates.

Author:
  dietrick

Method Summary
`java.awt.geom.Point2D` | `forward(double lat, double lon)`
`java.awt.geom.Point2D` | `forward(double lat, double lon, java.awt.geom.Point2D ret)`
`LatLonPoint` | `inverse(double x, double y)`
`LatLonPoint` | `inverse(double x, double y, LatLonPoint ret)`

Method Detail

### forward

    public java.awt.geom.Point2D forward(double lat,
                                         double lon)

### forward

    public java.awt.geom.Point2D forward(double lat,
                                         double lon,
                                         java.awt.geom.Point2D ret)

### inverse

    public LatLonPoint inverse(double x,
                               double y)

### inverse

    public LatLonPoint inverse(double x,
                               double y,
                               LatLonPoint ret)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details